Page MenuHomePhabricator

[ARM][CMSE] Add cmse intrinsics for TT instructions
ClosedPublic

Authored by javed.absar on Mar 27 2019, 9:25 AM.

Details

Summary

This is 2nd patch in series following the RFC http://lists.llvm.org/pipermail/cfe-dev/2019-March/061834.html informing the community about providing CMSE support in clang/llvm.

This is patch L 1 (as mentioned in the RFC). Previous patch:
C1: [ARM][CMSE] Add commandline option and feature macro https://reviews.llvm.org/D59879

It defines the intrinsics cmse_TT, cmse_TTT, cmse_TTA, cmse_TTAT. There is no tests here as the tests are in subsequent clang patch that uses these intrinsics .

Diff Detail

Repository
rL LLVM

Event Timeline

javed.absar created this revision.Mar 27 2019, 9:25 AM
javed.absar edited the summary of this revision. (Show Details)Mar 27 2019, 9:25 AM
javed.absar edited the summary of this revision. (Show Details)
snidertm accepted this revision.Mar 28 2019, 9:00 AM
This revision is now accepted and ready to land.Mar 28 2019, 9:00 AM

Do these need tests? Or does that come later once they do something?

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 14 2019, 9:11 AM